Bug 136820 - inappropriate /etc/fstab generation
inappropriate /etc/fstab generation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
FC4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 10:56 EDT by SEKINE Tatsuo
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: fc4test3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-14 09:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SEKINE Tatsuo 2004-10-22 10:56:44 EDT
Description of problem:
anaconda generates inappropriate /etc/fstab file for virtual
filesystems. /etc/fstab shoule be like below:

  devpts    /dev/pts    devpts  gid=5,mode=620 0 0
  proc      /proc       proc    defaults       0 0
  tmpfs     /dev/shm    tmpfs   noatime        0 0

Version-Release number of selected component (if applicable):


How reproducible:
Install FC/RHEL, and see /etc/fstab.

Steps to Reproduce:
1. Install!
2. Boot the system.
3. Run command: "mount /dev/pts"

Actual results:
mount: none already mounted or /dev/pts busy
mount: according to mtab, none is already mounted on /dev/pts

Expected results:
mount: devpts already mounted or /dev/pts busy
mount: according to mtab, devpts is already mounted on /dev/pts

Additional info:
The mount(8) man page refers to this probelm as below:

  The proc file system is not associated with a special device,
  and when mounting it, an arbitrary keyword, such as proc can
  be used instead of a device specification.
  (The customary choice none is less  fortunate: the error
  message 'none busy' from umount can be confusing.)
Comment 1 Jeremy Katz 2005-02-02 11:50:38 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.